#!/bin/sh
# INSTALLED VIA config-package dxld-configs

set -xe

cmd=$1; shift
netns=$1; shift

case $cmd in
	up)
		ip link del veth-pub ||:
		ip link add name veth-pub type veth \
		  peer name eth0 address 02:5d:26:75:68:4a netns "$netns"
		ip link set dev veth-pub master br0
		#bridge vlan add dev veth-pub vid 4 tagged

		# We used to set this to 0, set it to 1 during
		# transition. Remove later.
		#ip netns exec "$netns" sysctl net.ipv6.conf.eth0.accept_ra_defrtr=1

		#ip -netns "$netns" addr replace dev eth0 10.20.20.42/24
		ip -netns "$netns" token set dev eth0 ::1a57

		ip link set dev veth-pub up
		ip -netns "$netns" link set dev eth0 up

		# Must be after up or the nethop is not accepted as onlink
		ip -netns "$netns" route replace default via 10.20.20.254 || true

		while ! ip route get ::; do sleep 1; done # wait for defroute
		;;

	down)
		ip -netns "$netns" link del eth0
		;;
esac

sleep 6 # bridge STP delay

ip netns exec "$netns" wg-quick "$cmd" baba-pub4
